package jalview.api;

import jalview.datamodel.AlignmentI;

/**
 * Describes a visual container that can show two alignments.
 * 
 * @author gmcarstairs
 *
 */
public interface SplitContainerI
{

  /**
   * Set visibility of the specified split view component.
   * 
   * @param alignFrame
   * @param show
   */
  // TODO need an interface for AlignFrame?
  void setComplementVisible(Object alignFrame, boolean show);

  /**
   * Returns the alignment that is complementary to the one in the given
   * AlignFrame, or null.
   */
  AlignmentI getComplement(Object af);

  /**
   * Returns the frame title for the alignment that is complementary to the one
   * in the given AlignFrame, or null.
   * 
   * @param af
   * @return
   */
  String getComplementTitle(Object af);

}
